> For the complete documentation index, see [llms.txt](https://docs.ladybug.tools/ladybug-tools-academy/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ladybug.tools/ladybug-tools-academy/urban-energy-with-dragonfly/introduction.md).

# Introduction

An advanced course in urban-scale energy modeling with Dragonfly, which walks through the creation of urban energy models in Grasshopper, their simulation in URBANopt/OpenStudio/EnergyPlus, and the usage of results to evaluate district-scale systems, such as interaction with electric grids.

The course is NOT recommended for people who have never used Ladybug Tools or energy modeling software before since the following course on energy modeling with Honeybee provides an introduction that is necessary in order to follow the concepts in the [Energy](https://docs.ladybug.tools/ladybug-tools-academy/energy/)series.

## Sample Files <a href="#samplefiles" id="samplefiles"></a>

All sample files from this series can be downloaded from the Ladybug Tools GitHub site:  <https://github.com/ladybug-tools/lbt-grasshopper-samples/tree/master/samples/dragonfly>

This series covers building Dragonfly models using three methodologies:&#x20;

1. **From Building Footprints / Outlines**
   * Sample Rhino Model: <https://github.com/ladybug-tools/lbt-grasshopper-samples/blob/master/samples/dragonfly/Rhino/from_building_footprints.3dm>
   * Grasshopper Script: <https://github.com/ladybug-tools/lbt-grasshopper-samples/blob/master/samples/dragonfly/from_building_footprints.gh>
2. **From Solids**
   * Sample Rhino Model: <https://github.com/ladybug-tools/lbt-grasshopper-samples/blob/master/samples/dragonfly/Rhino/from_building_solids.3dm>
   * Grasshopper Script: <https://github.com/ladybug-tools/lbt-grasshopper-samples/blob/master/samples/dragonfly/from_building_solids.gh>
3. **From Rooms**
   * Sample Rhino Model: <https://github.com/ladybug-tools/lbt-grasshopper-samples/blob/master/samples/dragonfly/Rhino/rooms_to_stories_to_buildings.3dm>
   * Grasshopper Script: <https://github.com/ladybug-tools/lbt-grasshopper-samples/blob/master/samples/dragonfly/rooms_to_stories_to_building.gh>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ladybug.tools/ladybug-tools-academy/urban-energy-with-dragonfly/introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
